<?php
session_start();
$currentBaseDir = dirname($_SERVER['PHP_SELF']);
include($_SESSION['basedir']."core.php");

$svaTool = new svaTool();

$errorCode = 0;
$password = NULL;
$confPasswd = NULL;
// Ajout de nouvel utilisateur
$opId = $_REQUEST['opId'];
$id = $_REQUEST['id'];
$userId = $_SESSION['ownerId'];


$slaDurationToS = addslashes($_REQUEST['slaDurationToS']);

if($opId == 0 ){
    $label = "CREE"; 
}
else {
    
    $label = "MODIFIE";
}
if (isset($_REQUEST['slaLevelName']) && strlen($_REQUEST['slaLevelName']) > 0)
   $slaLevelName = addslashes($_REQUEST['slaLevelName']);
else
    $errorCode = 1;

if (isset($_REQUEST['callModule']) && $_REQUEST['callModule'] != -1)
    $callModule = addslashes($_REQUEST['callModule']);
else
    $errorCode = 2;

if (isset($_REQUEST['submodule']) && $_REQUEST['submodule'] != -1)
    $submodule = addslashes($_REQUEST['submodule']);
else
    $errorCode = 4;

if (isset($_REQUEST['slaDuration']) && $_REQUEST['slaDuration'])
    //(isset($_REQUEST['slaDuration']) && is_numeric($_REQUEST['slaDuration']))
   $slaDuration = addslashes($_REQUEST['slaDuration']);
else
    $errorCode = 3;




$id = $_REQUEST['id'];





if ($errorCode == 0) {


$res = $dba->UpdateAddSla($opId, $id, $callModule, $submodule, $slaLevelName, $slaDuration,$slaDurationToS);

   //$errorCode = 10;
}




switch ($errorCode) {

    case 0 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"NIVEAU DE SERVICE $label AVEC SUCCES !\"  }"; 
        break;
    case 1 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! DEFINIR LE NIVEAU DE SERVICE !\"  }";
        break;
    case 2 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER L'OBJET !\"  }";
        break;
   case 4 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR !VEUILLEZ SELECTIONNER LE DETAIL !\"  }"; 
        break;
    case 3 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ DEFINIR LA DUREE DE TRAITEMENT.\"  }"; 
        break;
    /* case 4 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LA STRATEGIE DES APPELS ENTRANTS.\"  }";
        break;
   /* case 5 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE LOGIN EST INVALIDE.\"  }"; 
        break;
    case 6 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'EMAIL EST INVALIDE.\"  }";
        break;
    /*case 7 : $msg =  "ERREUR ! LE MOT DE PASSE EST INVALIDE.";
        break;
    case 8 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE MOT DE PASSE DE CONFIRMATION EST INVALIDE .!\"  }"; 
        break;
    case 9 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LES MOTS DE PASSE NE CONCORDENT PAS.\"  }";
        break; */
    case 13 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! IMPOSSIBLE DE CREER LE COMPTE. VEUILLEZ RE-ESSAYER ULTERIEUREMENT!\"  }";  break;
	/*
		case 14 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LE PLAN TARIFAIRE ASSOCIE AU COMPTE !\"  }";   break; */
   
	 
}

echo $msg ;


?>